Kapitel 5. Paketmanagement
Zurück | 5.26 `apt-show-versions` | Weiter

## 5.26 `apt-show-versions`

Dieses Kommando zeigt die aktuell installierten Pakete, die Version und das Release an. Mit der Option `-p` kann nur ein bestimmtes Paket angegeben werden, `-r` erlaubt die Filterung mittels Wildcard. Die Option `-u` zeigt alle Pakete, die aktualisiert werden können.

    fr@surimi:~$ apt-show-versions -h
    Apt-Show-Versions v.0.02 (c) Christoph Martin

    Usage:
     apt-show-versions	   shows available versions of installed packages.

    Options:
     -stf|--status-file=<file>  Use <file> as the dpkg status file
                                      instead of /var/lib/dpkg/status
     -ld|list-dir=<directory>   Use <directory> as path to apt's
                                      list files instead of /var/state/apt/lists/
    				  or /var/lib/apt/lists/
     -p|--package=<package>     Print versions for <package>.
     -r|--regex                 Read package with -p as regex
     -u|--upgradeable           Print only upgradeable packages
     -a|--allversions           Print all available versions.
     -b|--brief                 Short output.
     -v|--verbose               Verbose messages.
     -h|--help                  Print this help.

    fr@surimi:~$ apt-show-versions  -r -p kernel*
    kernel-image-2.4.13-686: No available version
    kernel-image-2.2.20-udma100-ext3/unstable upgradeable from 2.2.20-6 to 2.2.20-7
    kernel-source-2.2.20/testing uptodate 2.2.20-5
    kernel-image-2.4.5-686-smp: No available version
    kernel-headers-2.2.20-udma100-ext3/unstable uptodate 2.2.20-7
    kernel-package/unstable uptodate 8.004

Zurück | Nach oben | Weiter
5.25 `apt-file` | Zum Anfang | 5.27 `auto-apt`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).